Create Omni 10s video
统一视频创建入口。当前可用 model:omni-10s、seedance2.0-md、seedance2.5-30s。
POST
Create an async Omni 10s (
Success response:
See Query video task for status values. When completed, read
omni-10s) video task via the unified entry POST /v1/videos with model set to omni-10s. Poll with Query video task and read result.video_url when completed.
Model
Billing is
per_task. Check the model catalog and the create response cost for live prices.
Constraints
- Aspect ratio:
16:9or9:16only; default16:9 duration/secondsmay be omitted; if set, must be10- Resolution is fixed at
720p - Reference audio is not supported
- These modes are mutually exclusive:
- Text-to-video (
promptonly) - Reference images (max 7)
- Reference videos (max 7; cannot mix with reference images)
- First/last frames (
first_imagerequired;last_imageoptional; cannot mix with reference images/videos)
- Text-to-video (
https:// URLs.
Request body
Examples
Text-to-video
First and last frames
cost is the charge for this task in credits; use the live response value.
Polling
data.result.video_url (kept for about 3 days — download promptly).Authorizations
控制台创建的 API Key,格式:Bearer sk_xxx
Body
application/json
omni-10s, seedance2.0-md, or seedance2.5-30s
Example:
"omni-10s"
omni-10s: fixed 10; seedance2.0-md: 5/10/15; seedance2.5-30s: fixed 30
Alias of duration
Alias of aspect_ratio
portrait/landscape may imply aspect ratio
omni-10s is fixed at 720p
First-frame URL for omni-10s frame mode
Last-frame URL for omni-10s; use with first_image
Last modified on October 18, 2026